> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clickpesa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query BillPay Number Details

> Queries for BillPay number details



## OpenAPI

````yaml GET /billpay/{billPayNumber}
openapi: 3.0.1
info:
  title: CORE API - BillPay Control Number Creation
  description: API for creating BillPay Control Numbers
  version: 1.0.0
servers:
  - url: https://api.clickpesa.com/third-parties
security:
  - bearerAuth: []
paths:
  /billpay/{billPayNumber}:
    get:
      description: Queries for BillPay number details
      parameters:
        - name: billPayNumber
          in: path
          required: true
          schema:
            type: string
          description: BillPay number to query for details
      responses:
        '200':
          description: Successfully queried for BillPay number details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
components:
  schemas:
    Response:
      type: object
      properties:
        billPayNumber:
          type: string
          description: >-
            BillPay number - This is the number that will be used to make
            payment. If a custom `billReference` was provided in the request,
            this will match that value.
          example: '55042914871931'
        billDescription:
          type: string
          description: Description of the bill
          example: Generic Bamboo Chees
        billCustomerName:
          type: string
          description: Name of the customer - for customer billpay numbers
          example: Mr. Freddie Walker-Graham
        billAmount:
          type: number
          description: Amount of the bill
          example: 90900
        billPaymentMode:
          type: string
          description: Payment mode for the bill. Applied only when billAmount is set
          example: EXACT
    UnauthorizedError:
      type: object
      properties:
        message:
          type: string
          description: Unauthorized Error
          example: Unauthorized
    NotFoundError:
      type: object
      properties:
        message:
          type: string
          example: BillPay Number does not exist
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authorization header containing the JWT access token returned from the
        generate token endpoint. The token already includes the Bearer prefix.
        Example: `Authorization: Bearer eyJhbGciOi...`
      bearerFormat: JWT

````